
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wms_move_detail")]
    public class WmsMoveDetail
    {
        [Key]
        [Column("move_detail_id")]
        public long MoveDetailId { get; set; }

        [Required]
        [Column("move_id")]
        public long MoveId { get; set; }

        [Column("material_barcode")]
        [MaxLength(64)]
        public string? MaterialBarcode { get; set; }

        [Column("instock_batch")]
        [MaxLength(64)]
        public string? InstockBatch { get; set; }

        [Required]
        [Column("material_id")]
        public long MaterialId { get; set; }

        [Column("location_code")]
        [MaxLength(64)]
        public string? LocationCode { get; set; }

        [Required]
        [Column("plan_amount")]
        public decimal PlanAmount { get; set; }

        [Column("real_amount")]
        public decimal? RealAmount { get; set; }

        [Column("real_instock_amount")]
        public decimal? RealInstockAmount { get; set; }

        [Required]
        [Column("execute_status")]
        [MaxLength(1)]
        public string ExecuteStatus { get; set; }

        [Column("execute_person")]
        [MaxLength(64)]
        public string? ExecutePerson { get; set; }

        [Column("execute_time")]
        public DateTime? ExecuteTime { get; set; }

        [Column("execute_end_time")]
        public DateTime? ExecuteEndTime { get; set; }

        [Column("machine_name")]
        [MaxLength(64)]
        public string? MachineName { get; set; }

        [Column("create_by")]
        [MaxLength(64)]
        public string? CreateBy { get; set; }

        [Column("create_date")]
        public DateTime? CreateDate { get; set; }

        [Column("update_by")]
        [MaxLength(64)]
        public string? UpdateBy { get; set; }

        [Column("update_date")]
        public DateTime? UpdateDate { get; set; }

        [Column("active_flag")]
        [MaxLength(1)]
        public string? ActiveFlag { get; set; }
    }
}

